%define extension	jaas
%define name		%{extension}-ext
%define version		1.0.1
%define cvs_version	1_0_01
%define release		2jpp
%define section		non-free

Summary:		Java(TM) Authentication and Authorization Service
Url:			http://java.sun.com/products/%{extension}

Source0:		%{extension}-%{cvs_version}.zip
NoSource:		0

# If you do not want -javadoc built, give rpmbuild option '--without javadoc'
%define with_javadoc %{!?_without_javadoc:1}%{?_without_javadoc:0}

%if %{with_javadoc}
Source1:		%{extension}-%{cvs_version}-doc.zip
NoSource:		1
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5
Provides:	%{extension} = %{version}
BuildRoot:	%{_tmppath}/%{extension}-%{version}-buildroot

%description
The JavaTM Authentication and Authorization Service (JAAS) is a Java
package that enables services to authenticate and enforce access
controls upon users. It implements a Java version of the standard
Pluggable Authentication Module (PAM) framework, and supports user-based
authorization.

This optional package is provided for Java 1.3 and 1.3.1. It has been
integrated in Java 1.4

%package demo
Summary:	Demo for %{extension}
Group:		Development/Libraries/Java
Requires:	%{extension} = %{version}-%{release}

%description demo
Demonstrations and samples for %{extension}.

%package javadoc
Summary:	Javadoc for %{extension}
Group:		Development/Documentation

%description javadoc
Javadoc for %{extension}.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{extension}%{cvs_version}

%if %{with_javadoc}
%setup -q -T -D -a 1 -n %{extension}%{cvs_version}
%endif

# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}-ext
install -p -m 0644 lib/%{extension}.jar $RPM_BUILD_ROOT%{_javadir}-ext/%{extension}-%{version}.jar
%add_jvm_extension %{extension}-%{version} %{extension} 1.3.0 1.3.1

# data
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{extension}
cp -pr doc/samples $RPM_BUILD_ROOT%{_datadir}/%{extension}
rm -rf doc/samples

# javadoc
%if %{with_javadoc}
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{extension}-%{version}
cp -pr %{extension}%{cvs_version}-doc/apidoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{extension}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root,-)
%doc doc/*
%{_javadir}-*/%{extension}*.jar

%files demo
%defattr(-,root,root)
%{_datadir}/%{extension}

%if %{with_javadoc}
%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{extension}-%{version}
%endif

%changelog
* Wed Oct 08 2003 Leonid Dubinsky <dub@podval.org> 1.0.1-2jpp
- conditionalize javadoc subpackage
- mark javadoc as %%doc
- add build dependence on jpackage-utils
- rename spec file to reflect package name

* Fri May 16 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0.1-1jpp
- 1.0.1

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-11jpp
- Epoch
- use -ext name convention

* Tue Feb 11 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-5jpp
- Create jvm-specific symlinks

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- vendor, distribution, group tags
- javadoc
- corrected line too long in description

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- section macro
- nosrc package
- fixed perms
- stricter dependencies for demo package

* Tue Jan 22 2002 Henri Gomez <hgomez@slib.fr> 1.0.1a-2jpp
- added Sun Binary Code Licence

* Thu Jan 17 2002 Henri Gomez <hgomez@slib.fr> 1.0.1a-1jpp
- Initial release
